For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • GETList SenderPools
      • POSTCreate a SenderPool
      • GETFetch a SenderPool
      • DELDelete a SenderPool
      • PATCHUpdate a SenderPool
      • GETList Senders in a SenderPool
      • POSTAdd Senders to a SenderPool
      • DELRemove a Sender from a SenderPool
      • GETList Sender Pool Operations
      • GETFetch a SenderPool Operation
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceSender Pools

Fetch a SenderPool

GET
https://comms.twilio.com/v1/SenderPools/:senderPoolId
GET
/v1/SenderPools/:senderPoolId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.senderPools.fetch("senderPoolId");
9}
10main();
1{
2 "id": "comms_senderpool_01h9krwprkeee8fzqspvwy6nq8",
3 "name": "Customer Support - NAMER",
4 "tags": {},
5 "createdAt": "2023-10-02T11:20:00Z",
6 "updatedAt": "2023-10-02T11:20:00Z"
7}
This operation fetches a single SenderPool using its ID.
Was this page helpful?
Previous

Delete a SenderPool

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

senderPoolIdstringRequired

Response

OK
idstringformat: "^comms_senderpool_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a SenderPool.
namestring
tagsmap from strings to strings

Custom metadata in the form of key-value pairs. Maximum size of a tag key is 128 characters. Maximum size of a tag value is 256 characters. There can be a maximum of 10 key-value pairs.

This field can be templated with Liquid. Specify variables with each recipient for personalization.

createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error